=== debian/changelog ===
golang-github-thedevsaddam-gojsonq (2.5.2-2) unstable; urgency=medium

  * New release with no changes, to unblock transition to testing.

 -- Martina Ferrari <tina@debian.org>  Fri, 15 Jan 2021 19:05:57 +0000

golang-github-thedevsaddam-gojsonq (2.5.2-1) unstable; urgency=medium

  * Initial release. Closes: #974928

 -- Martina Ferrari <tina@debian.org>  Mon, 16 Nov 2020 16:48:44 +0000
